Package org.apache.groovy.json.internal

## Class JsonParserLax

- java.lang.Object
- - org.apache.groovy.json.internal.BaseJsonParser
  - - org.apache.groovy.json.internal.JsonParserCharArray
    - - org.apache.groovy.json.internal.JsonParserLax

- All Implemented Interfaces:
    `JsonParser`

      public class JsonParserLax
      extends JsonParserCharArray

- - ### Field Summary

    - ### Fields inherited from class org.apache.groovy.json.internal.JsonParserCharArray

      `__currentChar, __index, charArray, FALSE, NULL, TRUE`

    - ### Fields inherited from class org.apache.groovy.json.internal.BaseJsonParser

      `ALPHA_0, ALPHA_1, ALPHA_2, ALPHA_3, ALPHA_4, ALPHA_5, ALPHA_6, ALPHA_7, ALPHA_8, ALPHA_9, bufSize, charset, CLOSED_BRACKET, CLOSED_CURLY, COLON, COMMA, DECIMAL_POINT, DOUBLE_QUOTE, ESCAPE, internedKeysCache, internKeys, LETTER_BIG_E, LETTER_E, MINUS, PLUS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonParserLax()` |
    `JsonParserLax​(boolean useValues)` |
    `JsonParserLax​(boolean useValues, boolean chop)` |
    `JsonParserLax​(boolean useValues, boolean chop, boolean lazyChop)` |
    `JsonParserLax​(boolean useValues, boolean chop, boolean lazyChop, boolean defaultCheckDates)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `decodeFromChars​(char[] cs)` |
    `protected Value` | `decodeNumberLax​(boolean minus)` | Decodes a number from a JSON value.
    `protected java.lang.Object` | `decodeValue()` |

    - ### Methods inherited from class org.apache.groovy.json.internal.JsonParserCharArray

      `complain, currentChar, decodeFalse, decodeJsonArray, decodeJsonObject, decodeNull, decodeTrue, exceptionDetails, hasCurrent, hasMore, nextChar, parse, skipWhiteSpace`

    - ### Methods inherited from class org.apache.groovy.json.internal.BaseJsonParser

      `charDescription, findEndQuote, hasEscapeChar, isDecimalChar, isDelimiter, isDoubleQuote, isEscape, isNumberDigit, parse, parse, parse, parse, parse, parse, parse, parse, setCharset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonParserLax

          public JsonParserLax()

    - #### JsonParserLax

          public JsonParserLax​(boolean useValues)

    - #### JsonParserLax

          public JsonParserLax​(boolean useValues,
                               boolean chop)

    - #### JsonParserLax

          public JsonParserLax​(boolean useValues,
                               boolean chop,
                               boolean lazyChop)

    - #### JsonParserLax

          public JsonParserLax​(boolean useValues,
                               boolean chop,
                               boolean lazyChop,
                               boolean defaultCheckDates)

  - ### Method Detail

    - #### decodeValue

          protected final java.lang.Object decodeValue()

      Overrides:
        `decodeValue` in class `JsonParserCharArray`

    - #### decodeNumberLax

          protected final Value decodeNumberLax​(boolean minus)

      Decodes a number from a JSON value. If at any point it is determined that the value is not a valid number the value is treated as a `String`.
      Parameters:
        `minus` - indicate whether the number is negative
      Returns:
        a number, or `String` if not a valid number

    - #### decodeFromChars

          protected final java.lang.Object decodeFromChars​(char[] cs)

      Overrides:
        `decodeFromChars` in class `JsonParserCharArray`